//+------------------------------------------------------------------+
//|                                                      ATRpips.mq4 |
//|                                                  Vadim Shumiloff |
//|                                                shumiloff@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Vadim Shumiloff"
#property link      "shumiloff@mail.ru"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 SteelBlue
#property indicator_color2 Red   

//  
extern string FinIns1 = "USDJPY";
extern string FinIns2 = "EURUSD";
extern int SSK = 5;

double Res1[];
double Signal1[];

//+------------------------------------------------------------------+
//|                                           |
//+------------------------------------------------------------------+
int init()
{
   string short_name;
   IndicatorBuffers(2);

   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(0, Res1);
   SetIndexDrawBegin(0, SSK);

   SetIndexStyle(2, DRAW_LINE);
   SetIndexBuffer(1, Signal1);
   SetIndexDrawBegin(1, SSK);
    
   short_name="Resonans 1";
   IndicatorShortName(short_name);
   SetIndexLabel(0, NULL);
   return(0);
}
//+------------------------------------------------------------------+
//| Average True Range in pips                                       |
//+------------------------------------------------------------------+
int start()
{
   int    i, counted_bars = IndicatorCounted();
   double price, sum, mul; 
   if (counted_bars>0) counted_bars--;
   int limit = Bars - counted_bars;
   for(i=0; i<limit; i++)
      Res1[i] = iStochastic(FinIns1, 0, SSK, 3, 3, MODE_SMA, 0, MODE_MAIN, i) 
      + iStochastic(FinIns2, 0, SSK, 3, 3, MODE_SMA, 0, MODE_MAIN, i);

   for(i=0; i<limit; i++)
      Signal1[i]=iMAOnArray(Res1,Bars,5,0,MODE_SMA,i);

   return(0);
}
//+---------------------------------------------------------------------------------------------------+


